## ros-melodic-exotica-pendulum-dynamics-solver 6.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(exotica_pendulum_dynamics_solver)

find_package(catkin REQUIRED COMPONENTS
  exotica_core
  roscpp
)

AddInitializer(pendulum_dynamics_solver)
GenInitializers()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS exotica_core
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/pendulum_dynamics_solver.cpp)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_initializers ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

# Ignore Eigen::Tensor warnings
target_compile_options(${PROJECT_NAME} PRIVATE -Wno-ignored-attributes)

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(FILES
  exotica_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# if(CATKIN_ENABLE_TESTING)
  # catkin_add_nosetests(test/test_pendulum_diff.py)
# endif()

## ros-melodic-exotica-pendulum-dynamics-solver 6.0.2

=== debian/changelog ===
ros-melodic-exotica-pendulum-dynamics-solver (6.0.2-1stretch) stretch; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (6.0.1-1stretch) stretch; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (6.0.0-1stretch) stretch; urgency=high

  * CMakeLists: Upgrade minimum version to 3.0.2 to avoid CMP0048
  * Contributors: Wolfgang Merkt

 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (5.1.3-1stretch) stretch; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (5.1.2-1stretch) stretch; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (5.1.1-1stretch) stretch; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (5.1.0-1stretch) stretch; urgency=high

  * Added exotica_pendulum_dynamics_solver

 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-exotica-pendulum-dynamics-solver
Section: misc
Priority: optional
Maintainer: Traiko Dinev <traiko.dinev@ed.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-exotica-core, ros-melodic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-exotica-pendulum-dynamics-solver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-exotica-core, ros-melodic-roscpp
Description: Pendulum dynamics solver plug-in for Exotica

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-exotica-pendulum-dynamics-solver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-exotica-pendulum-dynamics-solver 6.2.0

=== debian/changelog ===
ros-melodic-exotica-pendulum-dynamics-solver (6.2.0-1bionic) bionic; urgency=high

  * Python code improvements from static analysis
  * Contributors: Wolfgang Merkt

 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Thu, 22 Jul 2021 23:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (6.1.1-1bionic) bionic; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Sun, 04 Apr 2021 23:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (6.1.0-1bionic) bionic; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Mon, 15 Mar 2021 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (6.0.2-1bionic) bionic; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (6.0.1-1bionic) bionic; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (6.0.0-1bionic) bionic; urgency=high

  * CMakeLists: Upgrade minimum version to 3.0.2 to avoid CMP0048
  * Contributors: Wolfgang Merkt

 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (5.1.3-1bionic) bionic; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (5.1.2-1bionic) bionic; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (5.1.1-1bionic) bionic; urgency=high



 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-pendulum-dynamics-solver (5.1.0-1bionic) bionic; urgency=high

  * Added exotica_pendulum_dynamics_solver

 -- Traiko Dinev <traiko.dinev@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000
